[PATCH 4/5] tests: run python-cffi tests

Subject: [PATCH 4/5] tests: run python-cffi tests

Date: Sun, 3 Nov 2019 21:39:26 -0400

To: notmuch@notmuchmail.org

Cc:

From: David Bremner


The entire python-cffi test suite is considered as a single test at
the level of the notmuch test suite. This might or might not be ideal,
but it gets them run.
---
 test/T391-python-cffi.sh | 12 ++++++++++++
 1 file changed, 12 insertions(+)
 create mode 100755 test/T391-python-cffi.sh

diff --git a/test/T391-python-cffi.sh b/test/T391-python-cffi.sh
new file mode 100755
index 00000000..a03f9e0e
--- /dev/null
+++ b/test/T391-python-cffi.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+test_description="python bindings (pytest)"
+. $(dirname "$0")/test-lib.sh || exit 1
+
+if [ $NOTMUCH_HAVE_PYTHON_CFFI -eq 0 ]; then
+    test_done
+fi
+
+
+test_begin_subtest "python cffi tests"
+test_expect_success "(cd $NOTMUCH_SRCDIR/bindings/python-cffi/build/stage && ${NOTMUCH_PYTHON} -m pytest --log-file=$TMP_DIRECTORY/test.output)"
+test_done
-- 
2.24.0.rc1

_______________________________________________
notmuch mailing list
notmuch@notmuchmail.org
https://notmuchmail.org/mailman/listinfo/notmuch

Thread: